# Touraine data network, le site en version 2

## Liste des choses à faire

* Concevoir le modèle d'informations
* Faire une maquette à partir des usages
* Définir la charte graphique
* Faire la conception technique du site
* Etablir la liste des choses à faires sous forme de tickets sur git
* Le faire !

## Conception

voir [[documentation/conception.md]]

## Créer un environnement pour modifier le site

Installer au préalable Python [[https://www.python.org/downloads/]], [[pip|https://pip.pypa.io/en/stable/installing/]] et [[virtualenv|https://virtualenv.pypa.io/en/stable/]]

Cloner le projet :

```
git clone ssh://gogs@code.ffdn.org:55555/TDN/SiteWeb.git
```

Créer un environnement virtuel :

```
virtualenv ./virtualenv-tdn
source ./virtualenv-tdn/bin/activate
```

Installer les dépendances : 

```
pip install requirements.txt
```

Faire les modifications

## Pour générer le site

En developpement :

```
pelican content/ -s pelicanconf_dev.py
```

En production :

```
pelican content/
```

